<%@ Page Language="C#" AutoEventWireup="true" Inherits="UScms.Web.UI.Page.article_list" ValidateRequest="false" %>
<%@ Import namespace="System.Collections.Generic" %>
<%@ Import namespace="System.Text" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="UScms.Common" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by UScms Template Engine at 2016/7/6 17:31:11.
		本页面代码由UScms模板引擎生成于 2016/7/6 17:31:11. 
	*/

	base.OnInit(e);
	StringBuilder templateBuilder = new StringBuilder(220000);
	const string channel = "news";
	const int pagesize = 10;

	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n<title>");
	templateBuilder.Append(Utils.ObjectToStr(model.title));
	templateBuilder.Append(" - ");
	templateBuilder.Append(Utils.ObjectToStr(site.name));
	templateBuilder.Append("</title>\r\n<meta name=\"keywords\" content=\"");
	templateBuilder.Append(Utils.ObjectToStr(model.seo_keywords));
	templateBuilder.Append("\" />\r\n<meta name=\"description\" content=\"");
	templateBuilder.Append(Utils.ObjectToStr(model.seo_description));
	templateBuilder.Append("\" />\r\n<meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge,chrome=1\">\r\n<link href=\"");
	templateBuilder.Append("/templates/main");
	templateBuilder.Append("/Css/style.css\" rel=\"stylesheet\" media=\"screen\" type=\"text/css\" />\r\n<link href=\"");
	templateBuilder.Append("/templates/main");
	templateBuilder.Append("/Css/style.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n</head>\r\n<body>\r\n<!--Header-->\r\n");

	templateBuilder.Append("<div class=\"fwtop\">\r\n<div class=\"fwtop_head\">\r\n  <div class=\"fwtop_logo\">\r\n    <div class=\"top_logo\" id=\"top_logo\">\r\n	<img src=\"");
	templateBuilder.Append("/templates/main");
	templateBuilder.Append("/Picture/logo.png\" width=\"400\" height=\"100\" alt=\"网站Logo\" title=\"test\"/></div>\r\n\r\n  </div>\r\n  <div class=\"fwtop_info\">\r\n    <div class=\"topSearch clear\" id=\"topSearch\">\r\n	<div class=\"search\"><img src=\"");
	templateBuilder.Append("/templates/main");
	templateBuilder.Append("/Picture/dh.png\" width=\"301\" height=\"96\" /></div>\r\n<script type=\"text/javascript\">\r\nsiteSearch()\r\n</");
	templateBuilder.Append("script>\r\n<script type=\"text/javascript\">\r\n	$(\"#siteSearchContent\").focus(function(){\r\n		if (this.value == \"请输入关键字...\"){\r\n		this.value = \"\"\r\n		}\r\n	});\r\n	$(\"#siteSearchContent\").blur(function(){\r\n		if (this.value == \"\") {\r\n		this.value = \"请输入关键字...\";\r\n		}\r\n	});\r\n</");
	templateBuilder.Append("script>\r\n\r\n</div>\r\n\r\n  </div>\r\n  <div class=\"clear\"></div>\r\n </div>\r\n  <div class=\"fwtop_mainNav\">\r\n    <div class=\"siteMainNav fwtop_nav fwnavlink\" id=\"siteMainNav\" >\r\n	<ul>\r\n		<li><a href='");
	templateBuilder.Append(linkurl("index"));

	templateBuilder.Append("'><span>主页</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("content",54));

	templateBuilder.Append("' ><span>关于我们</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("news_list",3));

	templateBuilder.Append("'  rel='dropmenu2'><span>新闻中心</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("content",107));

	templateBuilder.Append("'  rel='dropmenu3'><span>业务服务</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("goods_list",43));

	templateBuilder.Append("'  rel='dropmenu6'><span>项目展示</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("content",105));

	templateBuilder.Append("' ><span>人才招聘</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("content",106));

	templateBuilder.Append("'  rel='dropmenu4'><span>联系我们</span></a></li>\r\n      	\r\n      	<li><a href='' ><span>其他栏目</span></a></li>\r\n      	\r\n	</ul>\r\n<div class=\"clear\"></div>\r\n</div>\r\n  </div>\r\n  <div class=\"clear\"></div>\r\n  <div class=\"fwtop_banner\">\r\n    <script type=\"text/javascript\">\r\nvar ary = location.href.split(\"&\");\r\njQuery(\"#siteBanner\").slide( { mainCell:\"#bd ul\", effect:\"fold\",autoPlay:\"true\",trigger:\"mouseover\",easing:\"swing\",delayTime:\"1000\",mouseOverStop:\"true\",pnLoop:\"true\"});\r\n</");
	templateBuilder.Append("script>\r\n\r\n  </div>\r\n</div>");


	templateBuilder.Append("\r\n<!--/Header-->\r\n<div class=\"dha\"></div>\r\n<div class=\"fwmain\">\r\n  <div class=\"fwmain_nleft edit_putHere\" id=\"edit_putHere_area1\" saveTitle=\"area1\">\r\n    <div class=\"label clear fwtop_nav6\" id=\"597\" rel=\"597\" titles=\"竖形分类菜单\">\r\n      <div class=\"label_head\">\r\n        ");
	string category_nav = get_category_menu("news_list", category_id);

	templateBuilder.Append("\r\n        <div class=\"label_title\">");
	templateBuilder.Append(Utils.ObjectToStr(model.title));
	templateBuilder.Append("</div>\r\n      </div>\r\n      <div class=\"label_content\">\r\n        ");
	DataTable categoryList1 = get_category_child_list(channel, 3);

	foreach(DataRow cdr1 in categoryList1.Rows)
	{

	templateBuilder.Append("\r\n        <h1 ><a href=\"");
	templateBuilder.Append(linkurl("news_list",Utils.ObjectToStr(cdr1["id"])));

	templateBuilder.Append("\">" + Utils.ObjectToStr(cdr1["title"]) + "</a></h1>\r\n        ");
	DataTable categoryList2 = get_category_child_list(channel, Utils.StrToInt(Utils.ObjectToStr(cdr1["id"]), 0));

	foreach(DataRow cdr2 in categoryList2.Rows)
	{

	templateBuilder.Append("\r\n        <h1 ><a href=\"");
	templateBuilder.Append(linkurl("news_list",Utils.ObjectToStr(cdr2["id"])));

	templateBuilder.Append("\" class=\"selected\">" + Utils.ObjectToStr(cdr2["title"]) + "</a></h1>\r\n        ");
	}	//end for if

	}	//end for if

	templateBuilder.Append("\r\n      </div>\r\n      <div class=\"label_foot\"></div>\r\n    </div>\r\n  </div>\r\n  <div class=\"fwmain_nright edit_putHere\" id=\"edit_putHere_area2\" saveTitle=\"area2\">\r\n    <div class=\"label clear\" id=\"608\" rel=\"608\" titles=\"文章列表\">\r\n      <div class=\"label_head\">\r\n        <div class=\"label_title\"><span><a href='");
	templateBuilder.Append(linkurl("index"));

	templateBuilder.Append("'>主页</a> > <a >");
	templateBuilder.Append(Utils.ObjectToStr(category_nav));
	templateBuilder.Append("</a> </span></div>\r\n      </div>\r\n      <div class=\"label_content\">\r\n        <div class=\"item_list id608\">\r\n          <ul class=\"clearfix\" id=\"articlelist608\">\r\n		   ");
	DataTable newsList = get_article_list(channel, category_id, pagesize, page, "status=0", out totalcount, out pagelist, "news_list", category_id, "__id__");

	templateBuilder.Append("<!--取得一个分页DataTable-->\r\n                                ");
	foreach(DataRow dr in newsList.Rows)
	{

	templateBuilder.Append("\r\n                               <li><a href=\"");
	templateBuilder.Append(linkurl("news_show",Utils.ObjectToStr(dr["id"])));

	templateBuilder.Append("\" target=\"_self\" title=\"" + Utils.ObjectToStr(dr["title"]) + "\"\r\n                                    >" + Utils.ObjectToStr(dr["title"]) + "</a> <span class=\"datetime\">");	templateBuilder.Append(Utils.ObjectToDateTime(Utils.ObjectToStr(dr["add_time"])).ToString("yyyy-MM-dd"));

	templateBuilder.Append("</span>\r\n                                </li>\r\n                                ");
	}	//end for if

	templateBuilder.Append("\r\n         \r\n          </ul>\r\n        </div>\r\n      </div>\r\n      <div class=\"dai\">\r\n       ");
	templateBuilder.Append(Utils.ObjectToStr(pagelist));
	templateBuilder.Append("\r\n      </div>\r\n      <div class=\"label_foot\"></div>\r\n    </div>\r\n  </div>\r\n  <div class=\"clear\"></div>\r\n</div>\r\n<!--footer start-->\r\n    ");

	templateBuilder.Append("<div class=\"fwbottom\">\r\n		<div class=\"fwbottom_bottomInfo\">\r\n				<div class=\"siteBottomNav\">\r\n<ul>\r\n\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("goods_list",43));

	templateBuilder.Append("' ><span>项目展示</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("content",54));

	templateBuilder.Append("'  rel='dropmenu2'><span>关于我们</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("news_list",3));

	templateBuilder.Append("'  rel='dropmenu3'><span>新闻动态</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("content",105));

	templateBuilder.Append("'  rel='dropmenu6'><span>人才招聘</span></a></li>\r\n      	\r\n      	<li><a href='");
	templateBuilder.Append(linkurl("content",106));

	templateBuilder.Append("' ><span>联系我们</span></a></li>\r\n      	\r\n      	\r\n      	<li><a href='' ><span>在线留言</span></a></li>\r\n      	\r\n<div class=\"clear\"></div><a href=\"\"><h3 style=\"color:#004DA9;\"></h3></a>\r\n</ul>\r\n</div>\r\n\r\n<div class=\"bottomInfo clear\">\r\n	<p align=\"center\">\r\n	<span style=\"color:#fff;\">Copyright @ 2015-2016 海天设计 版权所有</span> \r\n</p>\r\n</div>\r\n\r\n		</div>\r\n        \r\n	</div>");


	templateBuilder.Append("\r\n    <!--footer end -->\r\n</body>\r\n</html>\r\n");
	Response.Write(templateBuilder.ToString());
}
</script>
